tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From James House <james.ho...@medibuy.com>
Subject RE: clarification of my understanding of tomcat
Date Fri, 27 Oct 2000 21:20:48 GMT

All of this depends more on your code than on tomcat.

A 1.2 jvm should be able to run any 1.1 code.
A 1.1 jvm should be able to run most 1.2 code, but it first has to be
compiled with a 1.2 compiler.

It sounds as if your java 1.2 for freebsd is buggy, nearly everyone uses a
version of java 1.2 with tomcat.

James

-----Original Message-----
From: Mike Haberman [mailto:mikeh@ncsa.uiuc.edu]
Sent: Friday, October 27, 2000 3:08 PM
To: tomcat-user@jakarta.apache.org
Subject: clarification of my understanding of tomcat


Can someone tell me if it's possible to mix web applications
that have been build with different jdks than what jvm tomcat
runs under?

 Can tomcat run under jvm 1.1.x and serve up jdk1.2 apps? 
 Can tomcat run under jvm 1.2 and serve up jdk1.1.x apps? 

 What is the recommended jvm to use with tomcat?

 I just installed 3.1 under freebsd.  Seems to work under 1.1.8
 but not 1.2.


 Thanks to those who can clarify this for me.

Mime
View raw message